import React from 'react';
import { WithTranslation } from 'next-i18next';
import { withTranslation } from '../../i18n';

import Dialog from '../Dialog';
import Button from '../Button';

import {
  TextWrapper, BtnWrapper,
} from './styled';

type i18nProps = {
  t: (key: string) => string;
}

type OwnerProps = {
  open: boolean;
  onCancel: (e: any) => void;
  onDelete: (e: any) => void;
};

type Props = i18nProps & OwnerProps

const index: React.FC<Props> = ({
  t,
  open,
  onCancel,
  onDelete,
}: Props) => (
  <Dialog open={open}>
    <TextWrapper>
      {t('deleteAnnotationAlert')}
    </TextWrapper>
    <BtnWrapper>
      <Button
        appearance="default-hollow"
        onClick={onCancel}
      >
        {t('cancel')}
      </Button>
      <Button
        appearance="primary"
        onClick={onDelete}
        style={{ marginLeft: '16px' }}
      >
        {t('continue')}
      </Button>
    </BtnWrapper>
  </Dialog>
);

const translator = withTranslation('dialog');

type TransProps = WithTranslation & OwnerProps;

export default translator<TransProps>(index);
