import App from 'next/app';
import React from 'react';
import { SnackbarProvider } from 'notistack';
import { appWithTranslation } from '../i18n';
import { StoreProvider } from '../store';

import { GlobalStyle } from '../global/styled';

class MainApp extends App {
  static async getInitialProps({ Component, ctx }) {
    let pageProps = {};

    if (Component.getInitialProps) {
      pageProps = await Component.getInitialProps({ ctx });
    }

    return { pageProps };
  }

  render() {
    const {
      Component,
      pageProps,
    } = this.props;

    return (
      <StoreProvider>
        <SnackbarProvider maxSnack={3}>
          <GlobalStyle lang="en" />
          <Component {...pageProps} />
        </SnackbarProvider>
      </StoreProvider>
    );
  }
}

export default appWithTranslation(MainApp);
